def audit():
    # Declaring local variables
    result = "OK"

    # Auditing the package
    for svc in services_to_disable:
        if service_installed(svc):
            if service_is_running(svc):
                print("WARNING: %s is started but should be stopped" % svc)
                result = "WARNING"
            if service_get_start_mode(svc) != "Disabled":
                print("WARNING: %s start mode is NOT disabled" % svc)
                result = "WARNING"

    if (
        str(
            registry_readstring(
                HKEY_LOCAL_MACHINE,
                r"SOFTWARE\Policies\Microsoft\Windows\DataCollection",
                "AllowTelemetry",
            )
        )
        != "0"
    ):
        print("ERROR: AllowTelemetry is NOT disabled (often happens after Windows upgrades)")
        result = "ERROR"

    if result == "OK":
        print("OK: Windows Telemetry is well disabled on the system")
    else:
        print("Force reapplying the package since Telemetry is active...")
        WAPT.install(control.package, force=True)

    WAPT.write_audit_data_if_changed("disable-telemetry", "audit-status", result, max_count=10, keep_days=365)
    return result
