# -*- coding: utf-8 -*-
from setuphelpers import *

try:
    from waptenterprise.waptservice.enterprise import get_active_sessions, start_interactive_process
except:
    from waptservice.enterprise import get_active_sessions, start_interactive_process


def install():
    pass


def audit():
    # Auditing the package
    audit_status = "OK"
    package_waiting_install = "office365"
    to_install = False
    if windows_version() >= WindowsVersions.Windows10v22H2:
        for session_id in get_active_sessions():
            username = win32ts.WTSQuerySessionInformation(win32ts.WTS_CURRENT_SERVER_HANDLE, session_id, win32ts.WTSUserName)
            package_info = WAPT.is_installed(package_waiting_install)
            if not WAPT.is_installed(package_waiting_install):
                to_install = True
                audit_status = "INSTALLING"
            elif package_info["version"].split("-")[-1] < "10":
                to_install = True
                audit_status = "INSTALLING"

    if to_install:
        WAPT.install(package_waiting_install, only_if_not_process_running=True)

    return audit_status
