# -*- coding: utf-8 -*-
from setuphelpers import *

try:
    import waptcrypto

    if "encrypted_data_str" in dir(waptcrypto):
        from waptcrypto import encrypted_data_str as rsa_encrypted_data_str
except:
    pass


# Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls
decrypt_cert_list = ["jimmy_pele.crt", "kevin_guerineau.crt"]


def install():
    print("Installing: %s" % control.package)
    randompassword = "un coucou chiffré"
    print_encrypted_data(randompassword, glob.glob("*.crt"))
    WAPT.write_audit_data_if_changed(
        "test-encryptedprint",
        "test-encryptedprint",
        get_encrypted_data_str(randompassword, glob.glob("*.crt")),
        keep_days=2,
    )


def audit():
    # Declaring local variables
    return_warning = False
    return_error = False

    # Backuping encrypted RecoveryPassword in WAPT Console
    for keyprotector in run_powershell("(Get-BitLockerVolume -MountPoint %s).KeyProtector" % mountpoint):
        print("Storing: {} recovery key to the WAPT Console".format(keyprotector["KeyProtectorId"]))
        WAPT.write_audit_data_if_changed(
            "enable-bitlocker",
            "RecoveryPassword_%s" % keyprotector["KeyProtectorId"],
            get_encrypted_data_str(keyprotector["RecoveryPassword"], decrypt_cert_list),
        )

    if return_error:
        return "ERROR"

    if return_warning:
        return "WARNING"

    return "OK"
